* A SAS program to read and print the surface water and                         
   atmospheric carbon dioxide and nitrous oxide data;                           
DATA WEISS(DROP=X);                                                             
  INFILE IN;                                                                    
  INPUT X $ 2 @;                                                                
  IF X EQ ' ' THEN DO;                                                          
    INPUT SAMPTYP $ 1 @4 HEADER $CHAR77.;                                       
    RECCODE=1;                                                                  
    END;                                                                        
  ELSE DO;                                                                      
    INPUT DATEDA 1-2 DATEMO $ 4-6 DATEYR 8-9 TIME 13-16 LAT 20-26               
      LATHEM $ 28 LON 32-39 LONHEM $ 41 PRESS 45-50 H2OTMP 54-58                
      XN2O 62-66 XCO2 70-74;                                                    
    RECCODE=2;                                                                  
    END;                                                                        
DATA PRINT;                                                                     
  SET WEISS;                                                                    
  FILE PRINT;                                                                   
  OPTIONS MISSING=' ';                                                          
  IF RECCODE=1 THEN                                                             
    PUT SAMPTYP 1 HEADER 4-80;                                                  
  ELSE IF RECCODE=2 THEN                                                        
    PUT DATEDA 1-2 DATEMO 4-6 DATEYR 8-9 @13 TIME z4. @20 LAT 7.3               
    LATHEM 28 @32 LON 8.3 LONHEM 41 @45 PRESS 6.1 @54 H2OTMP 5.2                
      @62 XN2O 5.1 @70 XCO2 5.1 @75 '      ';                                   
RUN;                                                                            
